<template>
    <ul class="navbar__nav">
        <li>
            <RouterLink :to="t('routes.home.path')" class="navbar__navlink">{{ t('routes.lot.name') }}</RouterLink>
        </li>
        <li>
            <RouterLink :to="t('routes.historique.path')" class="navbar__navlink">{{ t('routes.historique.namenav') }}</RouterLink>
        </li>
        <li>
            <RouterLink :to="t('routes.regles.path')" class="navbar__navlink">{{t('routes.regles.name')}}</RouterLink>
        </li>
        <li>
            <button class="navbar__navlink" @click="logout">{{ t('global.logout') }}</button>
        </li>
    </ul>
</template>

<script lang="ts" setup>
import { useI18n } from "vue3-i18n";

const {t} = useI18n()

function logout() {
  window.location.replace("/Authentication/Logout/")
}
</script>
